Subject: Re: [patch net-next-2.6] net: vlan: make non-hw-accel rx path similar to hw-accel

From: Jiri Pirko <[email-masked]>
Date: Tue, 5 Apr 2011 09:19:18 +0200

Mon, Apr 04, 2011 at 10:51:25PM CEST, [email-masked] wrote:
>Le 04/04/2011 22:30, Jiri Pirko a écrit :
>>Mon, Apr 04, 2011 at 09:00:00PM CEST, [email-masked] wrote:
>>>Le 04/04/2011 09:14, Jiri Pirko a écrit :
><snip>
>>>So you want to move vlan_do_receive into an rx_handler, but want
>>>untagging to stay hard-coded at the beginning of __netif_receive_skb.
>>>I don't think I understand the rational behind that.
>>
>>vlan_hwaccel_do_receive/vlan_do_receive could be converted to
>>rx_handler, not untagging.
>
>Why do you consider untagging cannot be converted to rx_handler?

I already told you that the reason ot the patch is to unify hwaccel path
and nonhwaccel path. When you do untag in rx_handler, that's too late.
Paths would be still different.